/*
   Introduction to OOP with Java (Comprehensive Version 1st Ed), McGraw-Hill
    
   Wu/Otani
     
   Chapter 18 Sample Development: FortuneCookieManager (Step 2)
   
                         This is the core class for this application. It
                         maintains the database of fortune cookies.
 
   Step2/FortuneCookieManager.java

*/

import java.io.IOException;
import java.util.Random;
import edu.nps.util.NPSList;

public class FortuneCookieManager {
    
    private NPSList<String> fortunes;
    
    private Random random;
    
    private int listSize;
    
    public FortuneCookieManager( ) throws IOException {
        
        FortuneCookieFile fortuneFile = new FortuneCookieFile();
        fortunes = fortuneFile.getList();
        
        if (fortunes == null) {
            throw new IOException();
        }
        
        random = new Random();
        
        listSize = fortunes.size();
    }
    
    public String nextFortune( ) {
        
        return fortunes.get(random.nextInt(listSize));
    }
}
